import Plotly from "plotly.js-dist-min";

export const customModeBarButtons = [
  {
    name: "保存图片",
    icon: Plotly.Icons.camera,
    click: function (gd) {
      Plotly.downloadImage(gd, { format: "png", filename: "plotly_chart" });
    },
  },
  {
    name: "套索选择",
    icon: Plotly.Icons.lasso,
    click: function (gd) {
      // 处理套索选择功能
    },
  },
  {
    name: "平移",
    icon: Plotly.Icons.pan,
    click: function (gd) {
      // 处理平移功能
    },
  },
  {
    name: "重置视图",
    icon: Plotly.Icons.selectbox,
    click: function (gd) {},
  },
  //     "undo": {},//刷新
  //     "home": {},重置图表
  //     "camera_retro": {},
  //     "zoombox": {},
  //     "pan": {},
  //     "zoom_plus": {},放大
  //     "zoom_minus": { },缩小
  //     "autoscale": {},全凭
  //     "tooltip_basic": {},
  //     "tooltip_compare": {},
  //     "plotlylogo": { },官网logo
  //     "z-axis": { },
  //     "3d_rotate": { },
  //     "camera": { },
  //     "movie": { },摄像
  //     "question": {},问号
  //     "disk": {},保存
  //     "drawopenpath": {},//划线
  //     "drawclosedpath": {},//小房子home
  //     "lasso": {},//套索
  //     "selectbox":
  {
    name: "缩放",
    icon: Plotly.Icons.zoom2d,
    click: function (gd) {
      // 处理缩放功能
    },
  },
  {
    name: "放大",
    icon: Plotly.Icons.zoomIn2d,
    click: function (gd) {
      // 处理放大功能
    },
  },
  {
    name: "缩小",
    icon: Plotly.Icons.zoomOut2d,
    click: function (gd) {
      // 处理缩小功能
    },
  },
];
// 3d_rotate
// autoscale
// camera
// camera-retro
// disk
// drawcircle//套索圆圈选择
// drawclosedpath//套索自由选择
// drawline //线条 绘制
// drawopenpath//自由画笔
// drawrect //矩形框选
// eraseshape
// home
// lasso
// movie
// newplotlylogo
// pan
// pencil//编辑
// plotlylogo
// question
// selectbox
// spikeline
// tooltip_basic
// tooltip_compare
// undo
// z-axis
// zoom_minus
// zoom_plus
// zoombox
